package dev.fitko.fitconnect.client.sender.steps;

import java.net.URI;

public interface SchemaUriStep {

    /**
     * Sets a {@link URI}, which determines the schema that is supposed to be used when parsing the submission on subscriber side
     *
     * @param schemaUri URI of the schema to be used
     * @return next step to finish the build
     */
    BuildStep withSchemaUri(URI schemaUri);
}
